%define name    gtkam
%define version 0.1
%define release 3mdk

Summary: GPhoto2 GTK frontend
Name: 		%{name}       
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphics
Source0: 	gtkam-%{version}.tar.bz2
Source1: 	gphoto-icons.tar.bz2
URL: 		http://www.gphoto.org/
Requires: 	libusb0.1, libgpio0, libgphoto2, gdk-pixbuf
Obsoletes: 	hackgphoto2-gtkam
BuildRequires: 	libusb-devel, libgpio-devel, libgphoto-devel, gphoto2, gdk-pixbuf-devel
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
GTKam is now a part of the Gnome project, and is a fine interface for a
wide variety of digital cameras.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gtkam

%build

# Correct documentation path
perl -p -i -e "s!doc/gtkam!share/doc/gtkam-%{version}!" configure.in
perl -p -i -e "s!doc/gtkam!share/doc/gtkam-%{version}!" Makefile.am
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" configure.in
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" Makefile.am

CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
perl -p -i -e "s!usr/local!usr!" configure
rm -f config.cache
%configure

%make

%install

%makeinstall

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/gtkam
?package(gtkam):command="/usr/bin/gtkam" \
title="GTKam (GPhoto 2)" \
longtitle="GNU Digital Camera Program, for newer cameras" \
needs="x11" \
section="Multimedia/Graphics" \
icon="gphoto.xpm"
EOF
 
install -d $RPM_BUILD_ROOT%{_datadir}/icons
bzcat %{SOURCE1}|tar xf - -C $RPM_BUILD_ROOT%{_datadir}/icons 

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)   
%doc AUTHORS COPYING NEWS README MANUAL
%_bindir/*
%dir %_datadir/gtkam/
%dir %_datadir/gtkam/pixmaps/
%_datadir/gtkam/pixmaps/*
%_menudir/*
%_datadir/icons/*

%changelog
* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
